# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLTextAreaElement Class Reference

Multi-line text field. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLTextAreaElement:

[legend]
Collaboration diagram for DOM::HTMLTextAreaElement:

[legend]
List of all members.

## Public Member Functions

| HTMLTextAreaElement (const HTMLTextAreaElement &other)
| HTMLTextAreaElement (const Node &other)
HTMLTextAreaElement & | operator= (const HTMLTextAreaElement &other)
HTMLTextAreaElement & | operator= (const Node &other)
DOMString | defaultValue () const
void | setDefaultValue (const DOMString &)
HTMLFormElement | form () const
DOMString | accessKey () const
void | setAccessKey (const DOMString &)
long | cols () const
void | setCols (long)
bool | disabled () const
void | setDisabled (bool)
DOMString | name () const
void | setName (const DOMString &)
bool | readOnly () const
void | setReadOnly (bool)
long | rows () const
void | setRows (long)
long | tabIndex () const
void | setTabIndex (long)
DOMString | type () const
DOMString | value () const
void | setValue (const DOMString &)
void | blur ()
void | focus ()
void | select ()

## Protected Member Functions

| HTMLTextAreaElement (HTMLTextAreaElementImpl *impl)

## Detailed Description

Multi-line text field.

See the TEXTAREA element definition in HTML 4.0.

Definition at line 986 of file html_form.h.

## Member Function Documentation

DOMString HTMLTextAreaElement::defaultValue | ( |  | ) | const

| Stores the initial control value (i.e., the initial value of `value` ). Definition at line 920 of file html_form.cpp.

void HTMLTextAreaElement::setDefaultValue | ( | const DOMString & |  | ) |

| see defaultValue Definition at line 926 of file html_form.cpp. References value().

HTMLFormElement HTMLTextAreaElement::form | ( |  | ) | const

| ### KDE 4.0: remove. Reimplemented from DOM::Element. Definition at line 931 of file html_form.cpp. References DOM::Element::form().

DOMString HTMLTextAreaElement::accessKey | ( |  | ) | const

| A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0. Definition at line 936 of file html_form.cpp.

void HTMLTextAreaElement::setAccessKey | ( | const DOMString & |  | ) |

| see accessKey Definition at line 942 of file html_form.cpp. References value().

long HTMLTextAreaElement::cols | ( |  | ) | const

| Width of control (in characters). See the cols attribute definition in HTML 4.0. Definition at line 947 of file html_form.cpp. References DOM::DOMString::toInt().

void HTMLTextAreaElement::setCols | ( | long |  | ) |

| see cols Definition at line 953 of file html_form.cpp. References value().

bool HTMLTextAreaElement::disabled | ( |  | ) | const

| The control is unavailable in this context. See the disabled attribute definition in HTML 4.0. Definition at line 962 of file html_form.cpp. References DOM::DOMString::isNull().

void HTMLTextAreaElement::setDisabled | ( | bool |  | ) |

| see disabled Definition at line 968 of file html_form.cpp.

DOMString HTMLTextAreaElement::name | ( |  | ) | const

| Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0. Definition at line 973 of file html_form.cpp.

void HTMLTextAreaElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 979 of file html_form.cpp. References value().

bool HTMLTextAreaElement::readOnly | ( |  | ) | const

| This control is read-only. See the readonly attribute definition in HTML 4.0. Definition at line 984 of file html_form.cpp. References DOM::DOMString::isNull().

void HTMLTextAreaElement::setReadOnly | ( | bool |  | ) |

| see readOnly Definition at line 990 of file html_form.cpp.

long HTMLTextAreaElement::rows | ( |  | ) | const

| Number of text rows. See the rows attribute definition in HTML 4.0. Definition at line 995 of file html_form.cpp. References DOM::DOMString::toInt().

void HTMLTextAreaElement::setRows | ( | long |  | ) |

| see rows Definition at line 1001 of file html_form.cpp. References value().

long HTMLTextAreaElement::tabIndex | ( |  | ) | const

| Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0. Definition at line 1010 of file html_form.cpp.

void HTMLTextAreaElement::setTabIndex | ( | long |  | ) |

| see tabIndex Definition at line 1016 of file html_form.cpp.

DOMString HTMLTextAreaElement::type | ( |  | ) | const

| The type of this form control. Definition at line 1022 of file html_form.cpp.

DOMString HTMLTextAreaElement::value | ( |  | ) | const

| The current textual content of the multi-line text field. If the entirety of the data can not fit into a single wstring, the implementation may truncate the data. Definition at line 1028 of file html_form.cpp. Referenced by setAccessKey(), setCols(), setDefaultValue(), setName(), setRows(), and setValue().

void HTMLTextAreaElement::setValue | ( | const DOMString & |  | ) |

| see value Definition at line 1034 of file html_form.cpp. References value().

void HTMLTextAreaElement::blur | ( |  | ) |

| Removes keyboard focus from this element. Definition at line 1039 of file html_form.cpp.

void HTMLTextAreaElement::focus | ( |  | ) |

| Gives keyboard focus to this element. Definition at line 1045 of file html_form.cpp.

void HTMLTextAreaElement::select | ( |  | ) |

| Select the contents of the `TEXTAREA` . Definition at line 1051 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:12 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003